Subject: Re: [PATCH] mm: add config NUMA stub to all architectures

From: Michal Marek <[email-masked]>
Date: Mon, 20 Feb 2012 15:24:31 +0100

On 20.2.2012 00:21, Arnaud Lacombe wrote:
> On Sun, Feb 19, 2012 at 1:12 PM, Randy Dunlap <[email-masked]> wrote:
>> On 02/19/2012 09:01 AM, Geert Uytterhoeven wrote:
>>>
>>> On Fri, Feb 17, 2012 at 21:30, Andrew Morton<[email-masked]>
>>>  wrote:
>>>> It would be better to teach IS_ENABLED() to handle this situation.  I
>>>> don't think there's a way of doing this with cpp :(
>>>>
>>>> This limitation makes IS_ENABLED pretty dangerous, doesn't it?  It
>>>> makes it very easy to introduce build breakage with unexpected Kconfig
>>>> combinations.
>>>
>>>
>>> Indeed. Recently I discovered IS_ENABLED() and started recommending it
>>> to people for new code. But now I've seen the CONFIG_NUMA breakage,
>>> I no longer think this is a good recommendation.
>>
>> adding Michal & linux-kbuild to cc: list.
>>
> I do not really see any way to fix this, beside having a unique
> architecture-wide configuration namespace :/

Having a single namespace, or less ambitiously, having less
arch-specific config symbol definitions, would be a plus. IS_ENABLED
requiring the symbol to be defined is not bad per se, it prevents typos.

Michal